declare const CFormCheck: import("vue").DefineComponent<{
    /**
     * Create button-like checkboxes and radio buttons.
     */
    button: import("vue-types").VueTypeShape<{
        color: string;
        shape: string;
        size: string;
        variant: string;
    }>;
    /**
     * The id global attribute defines an identifier (ID) that must be unique in the whole document.
     */
    id: {
        type: StringConstructor;
        default: undefined;
        required: false;
    };
    /**
     * Input Checkbox indeterminate Property
     */
    indeterminate: BooleanConstructor;
    /**
     * Group checkboxes or radios on the same horizontal row by adding.
     */
    inline: {
        type: BooleanConstructor;
        required: false;
    };
    /**
     * Set component validation state to invalid.
     */
    invalid: {
        type: BooleanConstructor;
        required: false;
    };
    /**
     * The element represents a caption for a component.
     */
    label: {
        type: StringConstructor;
        default: undefined;
        required: false;
    };
    /**
     * The default name for a value passed using v-model.
     */
    modelValue: {
        type: (StringConstructor | BooleanConstructor)[];
        value: undefined;
        required: false;
    };
    /**
     * Specifies the type of component.
     *
     * @values 'checkbox', 'radio'
     */
    type: {
        type: StringConstructor;
        default: string;
        required: false;
    };
    /**
     * Set component validation state to valid.
     */
    valid: {
        type: BooleanConstructor;
        required: false;
    };
}, () => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
    [key: string]: any;
}> | ("" | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
    [key: string]: any;
}> | undefined)[], unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("change" | "update:modelValue")[], "change" | "update:modelValue", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    /**
     * Create button-like checkboxes and radio buttons.
     */
    button: import("vue-types").VueTypeShape<{
        color: string;
        shape: string;
        size: string;
        variant: string;
    }>;
    /**
     * The id global attribute defines an identifier (ID) that must be unique in the whole document.
     */
    id: {
        type: StringConstructor;
        default: undefined;
        required: false;
    };
    /**
     * Input Checkbox indeterminate Property
     */
    indeterminate: BooleanConstructor;
    /**
     * Group checkboxes or radios on the same horizontal row by adding.
     */
    inline: {
        type: BooleanConstructor;
        required: false;
    };
    /**
     * Set component validation state to invalid.
     */
    invalid: {
        type: BooleanConstructor;
        required: false;
    };
    /**
     * The element represents a caption for a component.
     */
    label: {
        type: StringConstructor;
        default: undefined;
        required: false;
    };
    /**
     * The default name for a value passed using v-model.
     */
    modelValue: {
        type: (StringConstructor | BooleanConstructor)[];
        value: undefined;
        required: false;
    };
    /**
     * Specifies the type of component.
     *
     * @values 'checkbox', 'radio'
     */
    type: {
        type: StringConstructor;
        default: string;
        required: false;
    };
    /**
     * Set component validation state to valid.
     */
    valid: {
        type: BooleanConstructor;
        required: false;
    };
}>> & {
    onChange?: ((...args: any[]) => any) | undefined;
    "onUpdate:modelValue"?: ((...args: any[]) => any) | undefined;
}, {
    type: string;
    id: string;
    invalid: boolean;
    label: string;
    indeterminate: boolean;
    inline: boolean;
    valid: boolean;
}>;
export { CFormCheck };
