import { PropType } from 'vue';
declare type Option = {
    disabled?: boolean;
    label?: string;
    selected?: boolean;
    value?: string;
};
declare const CFormSelect: import("vue").DefineComponent<{
    /**
     * Specifies the number of visible options in a drop-down list.
     */
    htmlSize: {
        type: NumberConstructor;
        default: undefined;
        required: false;
    };
    /**
     * Set component validation state to invalid.
     */
    invalid: {
        type: BooleanConstructor;
        required: false;
    };
    /**
     * The default name for a value passed using v-model.
     */
    modelValue: {
        type: PropType<string | string[]>;
        default: undefined;
        require: boolean;
    };
    multiple: {
        type: BooleanConstructor;
        required: false;
    };
    /**
     * Options list of the select component. Available keys: `label`, `value`, `disabled`.
     * Examples:
     * - `:options="[{ value: 'js', label: 'JavaScript' }, { value: 'html', label: 'HTML', disabled: true }]"`
     * - `:options="['js', 'html']"`
     */
    options: {
        type: PropType<string[] | Option[]>;
        default: undefined;
        required: false;
    };
    /**
     * Size the component small or large.
     *
     * @values 'sm' | 'lg'
     */
    size: {
        type: StringConstructor;
        default: undefined;
        require: boolean;
        validator: (value: string) => boolean;
    };
    /**
     * Set component validation state to valid.
     */
    valid: {
        type: BooleanConstructor;
        required: false;
    };
}, () => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
    [key: string]: any;
}>, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("change" | "update:modelValue")[], "change" | "update:modelValue", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    /**
     * Specifies the number of visible options in a drop-down list.
     */
    htmlSize: {
        type: NumberConstructor;
        default: undefined;
        required: false;
    };
    /**
     * Set component validation state to invalid.
     */
    invalid: {
        type: BooleanConstructor;
        required: false;
    };
    /**
     * The default name for a value passed using v-model.
     */
    modelValue: {
        type: PropType<string | string[]>;
        default: undefined;
        require: boolean;
    };
    multiple: {
        type: BooleanConstructor;
        required: false;
    };
    /**
     * Options list of the select component. Available keys: `label`, `value`, `disabled`.
     * Examples:
     * - `:options="[{ value: 'js', label: 'JavaScript' }, { value: 'html', label: 'HTML', disabled: true }]"`
     * - `:options="['js', 'html']"`
     */
    options: {
        type: PropType<string[] | Option[]>;
        default: undefined;
        required: false;
    };
    /**
     * Size the component small or large.
     *
     * @values 'sm' | 'lg'
     */
    size: {
        type: StringConstructor;
        default: undefined;
        require: boolean;
        validator: (value: string) => boolean;
    };
    /**
     * Set component validation state to valid.
     */
    valid: {
        type: BooleanConstructor;
        required: false;
    };
}>> & {
    onChange?: ((...args: any[]) => any) | undefined;
    "onUpdate:modelValue"?: ((...args: any[]) => any) | undefined;
}, {
    size: string;
    invalid: boolean;
    modelValue: string | string[];
    valid: boolean;
    htmlSize: number;
    multiple: boolean;
    options: string[] | Option[];
}>;
export { CFormSelect };
